Subject: [PATCH V6 0/3] Integration of function trace with System Trace IP blocks

From: [email-masked] (Felipe Balbi)
Date: Thu, 08 Sep 2016 15:07:04 +0300

Hi,

Chunyan Zhang <[email-masked]> writes:
> IP blocks allowing a variety of trace sources to log debugging
> information to a pre-defined area have been introduced on a couple of
> architecture [1][2]. These system trace blocks (also known as STM)
> typically follow the MIPI STPv2 protocol [3] and provide a system wide
> logging facility to any device, running a kernel or not, with access
> to the block's log entry port(s).  Since each trace message has a
> timestamp, it is possible to correlate events happening in the entire
> system rather than being confined to the logging facility of a single
> entity.
>
> This patchset is trying to use STM IP blocks to store function tracing
> information produced by Ftrace and I'm taking the Function trace
> (trace type is TRACE_FN) as the example in this patchset, but other
> types of traces also can be supported.
>
> Logging information generated by the Ftrace subsystem to STM and gathered
> in the sink device can be used in conjunction with trace data from other
> board components, also collected in the same trace sink.  
>
> This example is using ARM coresight STM but the same would apply to any
> other architecture wishing to do the same.
>
> Comments would be greatly appreciated.

showing up late to the bandwagon, but this is very good. I've been
toying with the idea of exporting ftrace via USB and this will help
quite a bit. Thanks :-)

I'll add to my TODO a look at this series. Great work.

-- 
balbi
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 800 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20160908/317429a4/attachment.sig>